package org.fortiss.af3.platform.raspberry.generator.executable.interfaces;

import org.fortiss.af3.component.model.InputPort;
import org.fortiss.af3.deployment.model.Deployment;
import org.fortiss.af3.expression.model.terms.IExpressionTerm;

/**
 * Interface for platform-specific executables, which support reading of a
 * non-null value.
 * 
 * @author zverlov
 * @author $Author: zverlov $
 * @version $Rev: 3134 $
 * @ConQAT.Rating GREEN Hash: 9FCAD4E527DAF1B2A47B5FB0B252F468
 */
public interface IReadExecutable {

	/**
	 * Returns a read access term to this executable for the given port's value.
	 */

	IExpressionTerm getValueReadAccessor(InputPort logicalSignal, Deployment depl);

}
